/***************************************
 "CColorBitMapPane.h"

 by John A. Love, III [Ph.D. student]

 using Symantec's "THINK C / C++", v 6/7
 based on Symantec's "Art Class"
 ***************************************/




#pragma	once						/* Include this file only once */


#include <CBitMapPane.h>			/* Interface for its superclass */

CLASS CColorBitMap;					/* Forward reference */


/* ... for GDevices: */
typedef enum	DeviceOption
{
	kDeepestScreen,
	kLargestAreaScreen
	
}	DeviceOption;


class CColorBitMapPane : public CBitMapPane
{
public:

				CColorBitMap		*bitsUnderPane;
				DeviceOption		gdOption;
				short				currentDepth;
		
		
							/** Add Instance Methods here	   **/
							/** because of my special parm(s): **/
			void		IColorBitMapPane (CView *anEnclosure,
										  CBureaucrat *aSupervisor,
										  short aWidth, short aHeight,
										  short aHEncl, short aVEncl,
										  SizingOption aHSizing,
										  SizingOption aVSizing,
										  LongRect *aBounds,
										  CColorBitMap *aBitMap,
										  Boolean makePort);
	virtual void		Dispose (void);
	
							/** In order to NOT have to HLock  **/
							/** the CColorBitMap's "itsPixMap" **/
							/** I need to avoid all reference  **/
							/** to "macBitMap"				   **/
	virtual void		Draw (Rect *area);
	
							/** Another addition because **/
							/** "Switch-A-Roo" changes	 **/
							/** color depth:			 **/
			Boolean		BitMapsNeedUpdating (void);
	
							/** Thanks to Forrest Tanaka's	   **/
							/** Macintosh Technical Note #120: **/
			GDHandle	GetScreenDevice (Rect *globalRect);

};	/* CColorBitMapPane */




/* end: "CColorBitMapPane.h" */
